package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.property.model.TpAnnouncement;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2018/12/28
 **/
public interface TpAnnouncementService extends IService<TpAnnouncement> {
    /**
     * 获取公告列表
     */
    ResponseBean tpAnnouncemenList(String paramets, Integer orgId);

    /**
     * 添加公告
     * @param paramets
     * @param orgId
     * @return
     */
    ResponseBean addAnnouncement(String paramets, Integer orgId, Integer userId);

    /**
     * 查询公告详情
     * @param paramets
     * @return
     */
    ResponseBean announcementById(String paramets);

    /**
     * 修改公告
      * @param paramets
     * @return
     */
    ResponseBean updateAnnouncement(String paramets, Integer orgId, Integer userId);

    /**
     * 批量删除公告
      * @param paramets
     * @param orgId
     * @param id
     * @return
     */
    ResponseBean deleteAnnouncement(String paramets, Integer orgId, Integer id);
}
